<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: domain_data Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structdomain__data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">domain_data Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af1c7931d89ac01836657748e3afb43ca"><td class="memItemLeft" align="right" valign="top">guint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#af1c7931d89ac01836657748e3afb43ca">domainID</a></td></tr>
<tr class="separator:af1c7931d89ac01836657748e3afb43ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a5bf2d2e6d9e6fef58e0bfea0826fe0"><td class="memItemLeft" align="right" valign="top">gchar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#a2a5bf2d2e6d9e6fef58e0bfea0826fe0">name</a></td></tr>
<tr class="separator:a2a5bf2d2e6d9e6fef58e0bfea0826fe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a603ca16c36c8c013d730b9ec3ea35a55"><td class="memItemLeft" align="right" valign="top">gchar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#a603ca16c36c8c013d730b9ec3ea35a55">busname</a></td></tr>
<tr class="separator:a603ca16c36c8c013d730b9ec3ea35a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4ab8994549b8cbbed43af384689376"><td class="memItemLeft" align="right" valign="top">gchar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#aab4ab8994549b8cbbed43af384689376">nodename</a></td></tr>
<tr class="separator:aab4ab8994549b8cbbed43af384689376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5a74265fdf352557e3bd4b7585870f"><td class="memItemLeft" align="right" valign="top">gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#aad5a74265fdf352557e3bd4b7585870f">early</a></td></tr>
<tr class="separator:aad5a74265fdf352557e3bd4b7585870f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10955225b49f816c5a29750d86bd357c"><td class="memItemLeft" align="right" valign="top">gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#a10955225b49f816c5a29750d86bd357c">complete</a></td></tr>
<tr class="separator:a10955225b49f816c5a29750d86bd357c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a649ef6684cb3eda8998e84569d336ad2"><td class="memItemLeft" align="right" valign="top">gint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdomain__data.html#a649ef6684cb3eda8998e84569d336ad2">state</a></td></tr>
<tr class="separator:a649ef6684cb3eda8998e84569d336ad2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00069">69</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a603ca16c36c8c013d730b9ec3ea35a55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a603ca16c36c8c013d730b9ec3ea35a55">&#9670;&nbsp;</a></span>busname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gchar* domain_data::busname</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00072">72</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<a id="a10955225b49f816c5a29750d86bd357c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10955225b49f816c5a29750d86bd357c">&#9670;&nbsp;</a></span>complete</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean domain_data::complete</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00075">75</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<a id="af1c7931d89ac01836657748e3afb43ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1c7931d89ac01836657748e3afb43ca">&#9670;&nbsp;</a></span>domainID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">guint16 domain_data::domainID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00070">70</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<a id="aad5a74265fdf352557e3bd4b7585870f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad5a74265fdf352557e3bd4b7585870f">&#9670;&nbsp;</a></span>early</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean domain_data::early</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00074">74</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<a id="a2a5bf2d2e6d9e6fef58e0bfea0826fe0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a5bf2d2e6d9e6fef58e0bfea0826fe0">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gchar* domain_data::name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00071">71</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<a id="aab4ab8994549b8cbbed43af384689376"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab4ab8994549b8cbbed43af384689376">&#9670;&nbsp;</a></span>nodename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gchar* domain_data::nodename</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00073">73</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<a id="a649ef6684cb3eda8998e84569d336ad2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a649ef6684cb3eda8998e84569d336ad2">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gint16 domain_data::state</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8h_source.html#l00076">76</a> of file <a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>R:/SoundManagerBinding/src/<a class="el" href="sm-helper_8h_source.html">sm-helper.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structdomain__data.html">domain_data</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
